Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.model.analysisMetaModel.impl
Class MAnalysisMetaModelPackage

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  kieker.analysis.model.analysisMetaModel.impl.MAnalysisMetaModelPackage

All Implemented Interfaces:
  MIAnalysisMetaModelPackage, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class MAnalysisMetaModelPackage

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements MIAnalysisMetaModelPackage

An implementation of the model Package.

Generated:

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface kieker.analysis.model.analysisMetaModel.MIAnalysisMetaModelPackage
`MIAnalysisMetaModelPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface kieker.analysis.model.analysisMetaModel.MIAnalysisMetaModelPackage
`ANALYSIS_COMPONENT, ANALYSIS_COMPONENT__CLASSNAME, ANALYSIS_COMPONENT__ID, ANALYSIS_COMPONENT__NAME, ANALYSIS_COMPONENT__PROPERTIES, ANALYSIS_COMPONENT_FEATURE_COUNT, DEPENDENCY, DEPENDENCY__FILE_PATH, DEPENDENCY_FEATURE_COUNT, DISPLAY, DISPLAY__ID, DISPLAY__NAME, DISPLAY__PARENT, DISPLAY_CONNECTOR, DISPLAY_CONNECTOR__DISPLAY, DISPLAY_CONNECTOR__ID, DISPLAY_CONNECTOR__NAME, DISPLAY_CONNECTOR_FEATURE_COUNT, DISPLAY_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, FILTER, FILTER__CLASSNAME, FILTER__DISPLAYS, FILTER__ID, FILTER__INPUT_PORTS, FILTER__NAME, FILTER__OUTPUT_PORTS, FILTER__PROPERTIES, FILTER__REPOSITORIES, FILTER_FEATURE_COUNT, INPUT_PORT, INPUT_PORT__EVENT_TYPES, INPUT_PORT__ID, INPUT_PORT__NAME, INPUT_PORT__PARENT, INPUT_PORT_FEATURE_COUNT, OUTPUT_PORT, OUTPUT_PORT__EVENT_TYPES, OUTPUT_PORT__ID, OUTPUT_PORT__NAME, OUTPUT_PORT__PARENT, OUTPUT_PORT__SUBSCRIBERS, OUTPUT_PORT_FEATURE_COUNT, PLUGIN, PLUGIN__CLASSNAME, PLUGIN__DISPLAYS, PLUGIN__ID, PLUGIN__NAME, PLUGIN__OUTPUT_PORTS, PLUGIN__PROPERTIES, PLUGIN__REPOSITORIES, PLUGIN_FEATURE_COUNT, PORT, PORT__EVENT_TYPES, PORT__ID, PORT__NAME, PORT_FEATURE_COUNT, PROJECT, PROJECT__DEPENDENCIES, PROJECT__NAME, PROJECT__PLUGINS, PROJECT__PROPERTIES, PROJECT__REPOSITORIES, PROJECT__VIEWS, PROJECT_FEATURE_COUNT, PROPERTY, PROPERTY__NAME, PROPERTY__VALUE, PROPERTY_FEATURE_COUNT, READER, READER__CLASSNAME, READER__DISPLAYS, READER__ID, READER__NAME, READER__OUTPUT_PORTS, READER__PROPERTIES, READER__REPOSITORIES, READER_FEATURE_COUNT, REPOSITORY, REPOSITORY__CLASSNAME, REPOSITORY__ID, REPOSITORY__NAME, REPOSITORY__PROPERTIES, REPOSITORY_CONNECTOR, REPOSITORY_CONNECTOR__ID, REPOSITORY_CONNECTOR__NAME, REPOSITORY_CONNECTOR__REPOSITORY, REPOSITORY_CONNECTOR_FEATURE_COUNT, REPOSITORY_FEATURE_COUNT, VIEW, VIEW__DESCRIPTION, VIEW__DISPLAY_CONNECTORS, VIEW__ID, VIEW__NAME, VIEW_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EAttribute` | `getAnalysisComponent_Classname()`
`org.eclipse.emf.ecore.EAttribute` | `getAnalysisComponent_Id()`
`org.eclipse.emf.ecore.EAttribute` | `getAnalysisComponent_Name()`
`org.eclipse.emf.ecore.EReference` | `getAnalysisComponent_Properties()`
`org.eclipse.emf.ecore.EClass` | `getAnalysisComponent()`
`MIAnalysisMetaModelFactory` | `getAnalysisMetaModelFactory()`
`org.eclipse.emf.ecore.EAttribute` | `getDependency_FilePath()`
`org.eclipse.emf.ecore.EClass` | `getDependency()`
`org.eclipse.emf.ecore.EAttribute` | `getDisplay_Id()`
`org.eclipse.emf.ecore.EAttribute` | `getDisplay_Name()`
`org.eclipse.emf.ecore.EReference` | `getDisplay_Parent()`
`org.eclipse.emf.ecore.EClass` | `getDisplay()`
`org.eclipse.emf.ecore.EReference` | `getDisplayConnector_Display()`
`org.eclipse.emf.ecore.EAttribute` | `getDisplayConnector_Id()`
`org.eclipse.emf.ecore.EAttribute` | `getDisplayConnector_Name()`
`org.eclipse.emf.ecore.EClass` | `getDisplayConnector()`
`org.eclipse.emf.ecore.EReference` | `getFilter_InputPorts()`
`org.eclipse.emf.ecore.EClass` | `getFilter()`
`org.eclipse.emf.ecore.EReference` | `getInputPort_Parent()`
`org.eclipse.emf.ecore.EClass` | `getInputPort()`
`org.eclipse.emf.ecore.EReference` | `getOutputPort_Parent()`
`org.eclipse.emf.ecore.EReference` | `getOutputPort_Subscribers()`
`org.eclipse.emf.ecore.EClass` | `getOutputPort()`
`org.eclipse.emf.ecore.EReference` | `getPlugin_Displays()`
`org.eclipse.emf.ecore.EReference` | `getPlugin_OutputPorts()`
`org.eclipse.emf.ecore.EReference` | `getPlugin_Repositories()`
`org.eclipse.emf.ecore.EClass` | `getPlugin()`
`org.eclipse.emf.ecore.EAttribute` | `getPort_EventTypes()`
`org.eclipse.emf.ecore.EAttribute` | `getPort_Id()`
`org.eclipse.emf.ecore.EAttribute` | `getPort_Name()`
`org.eclipse.emf.ecore.EClass` | `getPort()`
`org.eclipse.emf.ecore.EReference` | `getProject_Dependencies()`
`org.eclipse.emf.ecore.EAttribute` | `getProject_Name()`
`org.eclipse.emf.ecore.EReference` | `getProject_Plugins()`
`org.eclipse.emf.ecore.EReference` | `getProject_Properties()`
`org.eclipse.emf.ecore.EReference` | `getProject_Repositories()`
`org.eclipse.emf.ecore.EReference` | `getProject_Views()`
`org.eclipse.emf.ecore.EClass` | `getProject()`
`org.eclipse.emf.ecore.EAttribute` | `getProperty_Name()`
`org.eclipse.emf.ecore.EAttribute` | `getProperty_Value()`
`org.eclipse.emf.ecore.EClass` | `getProperty()`
`org.eclipse.emf.ecore.EClass` | `getReader()`
`org.eclipse.emf.ecore.EClass` | `getRepository()`
`org.eclipse.emf.ecore.EAttribute` | `getRepositoryConnector_Id()`
`org.eclipse.emf.ecore.EAttribute` | `getRepositoryConnector_Name()`
`org.eclipse.emf.ecore.EReference` | `getRepositoryConnector_Repository()`
`org.eclipse.emf.ecore.EClass` | `getRepositoryConnector()`
`org.eclipse.emf.ecore.EAttribute` | `getView_Description()`
`org.eclipse.emf.ecore.EReference` | `getView_DisplayConnectors()`
`org.eclipse.emf.ecore.EAttribute` | `getView_Id()`
`org.eclipse.emf.ecore.EAttribute` | `getView_Name()`
`org.eclipse.emf.ecore.EClass` | `getView()`
`static MIAnalysisMetaModelPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static MIAnalysisMetaModelPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `MIAnalysisMetaModelPackage#eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `MIAnalysisMetaModelPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
  Generated:

### getProject

    public org.eclipse.emf.ecore.EClass getProject()

  Specified by:
    `getProject` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for class 'Project'.
  See Also:
    `MIProject`
  Generated:

### getProject_Plugins

    public org.eclipse.emf.ecore.EReference getProject_Plugins()

  Specified by:
    `getProject_Plugins` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the containment reference list 'Plugins'.
  See Also:
    `MIProject.getPlugins()`, `MIAnalysisMetaModelPackage.getProject()`
  Generated:

### getProject_Name

    public org.eclipse.emf.ecore.EAttribute getProject_Name()

  Specified by:
    `getProject_Name` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `MIProject.getName()`, `MIAnalysisMetaModelPackage.getProject()`
  Generated:

### getProject_Repositories

    public org.eclipse.emf.ecore.EReference getProject_Repositories()

  Specified by:
    `getProject_Repositories` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the containment reference list 'Repositories'.
  See Also:
    `MIProject.getRepositories()`, `MIAnalysisMetaModelPackage.getProject()`
  Generated:

### getProject_Dependencies

    public org.eclipse.emf.ecore.EReference getProject_Dependencies()

  Specified by:
    `getProject_Dependencies` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the containment reference list 'Dependencies'.
  See Also:
    `MIProject.getDependencies()`, `MIAnalysisMetaModelPackage.getProject()`
  Generated:

### getProject_Views

    public org.eclipse.emf.ecore.EReference getProject_Views()

  Specified by:
    `getProject_Views` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the containment reference list 'Views'.
  See Also:
    `MIProject.getViews()`, `MIAnalysisMetaModelPackage.getProject()`
  Generated:

### getProject_Properties

    public org.eclipse.emf.ecore.EReference getProject_Properties()

  Specified by:
    `getProject_Properties` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the containment reference list 'Properties'.
  See Also:
    `MIProject.getProperties()`, `MIAnalysisMetaModelPackage.getProject()`
  Generated:

### getPlugin

    public org.eclipse.emf.ecore.EClass getPlugin()

  Specified by:
    `getPlugin` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for class 'Plugin'.
  See Also:
    `MIPlugin`
  Generated:

### getPlugin_Repositories

    public org.eclipse.emf.ecore.EReference getPlugin_Repositories()

  Specified by:
    `getPlugin_Repositories` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the containment reference list 'Repositories'.
  See Also:
    `MIPlugin.getRepositories()`, `MIAnalysisMetaModelPackage.getPlugin()`
  Generated:

### getPlugin_OutputPorts

    public org.eclipse.emf.ecore.EReference getPlugin_OutputPorts()

  Specified by:
    `getPlugin_OutputPorts` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the containment reference list 'Output Ports'.
  See Also:
    `MIPlugin.getOutputPorts()`, `MIAnalysisMetaModelPackage.getPlugin()`
  Generated:

### getPlugin_Displays

    public org.eclipse.emf.ecore.EReference getPlugin_Displays()

  Specified by:
    `getPlugin_Displays` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the containment reference list 'Displays'.
  See Also:
    `MIPlugin.getDisplays()`, `MIAnalysisMetaModelPackage.getPlugin()`
  Generated:

### getPort

    public org.eclipse.emf.ecore.EClass getPort()

  Specified by:
    `getPort` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for class 'Port'.
  See Also:
    `MIPort`
  Generated:

### getPort_Name

    public org.eclipse.emf.ecore.EAttribute getPort_Name()

  Specified by:
    `getPort_Name` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `MIPort.getName()`, `MIAnalysisMetaModelPackage.getPort()`
  Generated:

### getPort_EventTypes

    public org.eclipse.emf.ecore.EAttribute getPort_EventTypes()

  Specified by:
    `getPort_EventTypes` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the attribute list 'Event Types'.
  See Also:
    `MIPort.getEventTypes()`, `MIAnalysisMetaModelPackage.getPort()`
  Generated:

### getPort_Id

    public org.eclipse.emf.ecore.EAttribute getPort_Id()

  Specified by:
    `getPort_Id` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `MIPort.getId()`, `MIAnalysisMetaModelPackage.getPort()`
  Generated:

### getInputPort

    public org.eclipse.emf.ecore.EClass getInputPort()

  Specified by:
    `getInputPort` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for class 'Input Port'.
  See Also:
    `MIInputPort`
  Generated:

### getInputPort_Parent

    public org.eclipse.emf.ecore.EReference getInputPort_Parent()

  Specified by:
    `getInputPort_Parent` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the container reference 'Parent'.
  See Also:
    `MIInputPort.getParent()`, `MIAnalysisMetaModelPackage.getInputPort()`
  Generated:

### getOutputPort

    public org.eclipse.emf.ecore.EClass getOutputPort()

  Specified by:
    `getOutputPort` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for class 'Output Port'.
  See Also:
    `MIOutputPort`
  Generated:

### getOutputPort_Subscribers

    public org.eclipse.emf.ecore.EReference getOutputPort_Subscribers()

  Specified by:
    `getOutputPort_Subscribers` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the reference list 'Subscribers'.
  See Also:
    `MIOutputPort.getSubscribers()`, `MIAnalysisMetaModelPackage.getOutputPort()`
  Generated:

### getOutputPort_Parent

    public org.eclipse.emf.ecore.EReference getOutputPort_Parent()

  Specified by:
    `getOutputPort_Parent` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the container reference 'Parent'.
  See Also:
    `MIOutputPort.getParent()`, `MIAnalysisMetaModelPackage.getOutputPort()`
  Generated:

### getProperty

    public org.eclipse.emf.ecore.EClass getProperty()

  Specified by:
    `getProperty` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for class 'Property'.
  See Also:
    `MIProperty`
  Generated:

### getProperty_Name

    public org.eclipse.emf.ecore.EAttribute getProperty_Name()

  Specified by:
    `getProperty_Name` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `MIProperty.getName()`, `MIAnalysisMetaModelPackage.getProperty()`
  Generated:

### getProperty_Value

    public org.eclipse.emf.ecore.EAttribute getProperty_Value()

  Specified by:
    `getProperty_Value` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `MIProperty.getValue()`, `MIAnalysisMetaModelPackage.getProperty()`
  Generated:

### getFilter

    public org.eclipse.emf.ecore.EClass getFilter()

  Specified by:
    `getFilter` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for class 'Filter'.
  See Also:
    `MIFilter`
  Generated:

### getFilter_InputPorts

    public org.eclipse.emf.ecore.EReference getFilter_InputPorts()

  Specified by:
    `getFilter_InputPorts` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the containment reference list 'Input Ports'.
  See Also:
    `MIFilter.getInputPorts()`, `MIAnalysisMetaModelPackage.getFilter()`
  Generated:

### getReader

    public org.eclipse.emf.ecore.EClass getReader()

  Specified by:
    `getReader` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for class 'Reader'.
  See Also:
    `MIReader`
  Generated:

### getRepository

    public org.eclipse.emf.ecore.EClass getRepository()

  Specified by:
    `getRepository` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for class 'Repository'.
  See Also:
    `MIRepository`
  Generated:

### getDependency

    public org.eclipse.emf.ecore.EClass getDependency()

  Specified by:
    `getDependency` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for class 'Dependency'.
  See Also:
    `MIDependency`
  Generated:

### getDependency_FilePath

    public org.eclipse.emf.ecore.EAttribute getDependency_FilePath()

  Specified by:
    `getDependency_FilePath` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the attribute 'File Path'.
  See Also:
    `MIDependency.getFilePath()`, `MIAnalysisMetaModelPackage.getDependency()`
  Generated:

### getRepositoryConnector

    public org.eclipse.emf.ecore.EClass getRepositoryConnector()

  Specified by:
    `getRepositoryConnector` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for class 'Repository Connector'.
  See Also:
    `MIRepositoryConnector`
  Generated:

### getRepositoryConnector_Name

    public org.eclipse.emf.ecore.EAttribute getRepositoryConnector_Name()

  Specified by:
    `getRepositoryConnector_Name` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `MIRepositoryConnector.getName()`, `MIAnalysisMetaModelPackage.getRepositoryConnector()`
  Generated:

### getRepositoryConnector_Repository

    public org.eclipse.emf.ecore.EReference getRepositoryConnector_Repository()

  Specified by:
    `getRepositoryConnector_Repository` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the reference 'Repository'.
  See Also:
    `MIRepositoryConnector.getRepository()`, `MIAnalysisMetaModelPackage.getRepositoryConnector()`
  Generated:

### getRepositoryConnector_Id

    public org.eclipse.emf.ecore.EAttribute getRepositoryConnector_Id()

  Specified by:
    `getRepositoryConnector_Id` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `MIRepositoryConnector.getId()`, `MIAnalysisMetaModelPackage.getRepositoryConnector()`
  Generated:

### getDisplay

    public org.eclipse.emf.ecore.EClass getDisplay()

  Specified by:
    `getDisplay` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for class 'Display'.
  See Also:
    `MIDisplay`
  Generated:

### getDisplay_Name

    public org.eclipse.emf.ecore.EAttribute getDisplay_Name()

  Specified by:
    `getDisplay_Name` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `MIDisplay.getName()`, `MIAnalysisMetaModelPackage.getDisplay()`
  Generated:

### getDisplay_Parent

    public org.eclipse.emf.ecore.EReference getDisplay_Parent()

  Specified by:
    `getDisplay_Parent` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the container reference 'Parent'.
  See Also:
    `MIDisplay.getParent()`, `MIAnalysisMetaModelPackage.getDisplay()`
  Generated:

### getDisplay_Id

    public org.eclipse.emf.ecore.EAttribute getDisplay_Id()

  Specified by:
    `getDisplay_Id` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `MIDisplay.getId()`, `MIAnalysisMetaModelPackage.getDisplay()`
  Generated:

### getView

    public org.eclipse.emf.ecore.EClass getView()

  Specified by:
    `getView` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for class 'View'.
  See Also:
    `MIView`
  Generated:

### getView_Name

    public org.eclipse.emf.ecore.EAttribute getView_Name()

  Specified by:
    `getView_Name` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `MIView.getName()`, `MIAnalysisMetaModelPackage.getView()`
  Generated:

### getView_Description

    public org.eclipse.emf.ecore.EAttribute getView_Description()

  Specified by:
    `getView_Description` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `MIView.getDescription()`, `MIAnalysisMetaModelPackage.getView()`
  Generated:

### getView_DisplayConnectors

    public org.eclipse.emf.ecore.EReference getView_DisplayConnectors()

  Specified by:
    `getView_DisplayConnectors` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the containment reference list 'Display Connectors'.
  See Also:
    `MIView.getDisplayConnectors()`, `MIAnalysisMetaModelPackage.getView()`
  Generated:

### getView_Id

    public org.eclipse.emf.ecore.EAttribute getView_Id()

  Specified by:
    `getView_Id` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `MIView.getId()`, `MIAnalysisMetaModelPackage.getView()`
  Generated:

### getDisplayConnector

    public org.eclipse.emf.ecore.EClass getDisplayConnector()

  Specified by:
    `getDisplayConnector` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for class 'Display Connector'.
  See Also:
    `MIDisplayConnector`
  Generated:

### getDisplayConnector_Name

    public org.eclipse.emf.ecore.EAttribute getDisplayConnector_Name()

  Specified by:
    `getDisplayConnector_Name` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `MIDisplayConnector.getName()`, `MIAnalysisMetaModelPackage.getDisplayConnector()`
  Generated:

### getDisplayConnector_Display

    public org.eclipse.emf.ecore.EReference getDisplayConnector_Display()

  Specified by:
    `getDisplayConnector_Display` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the reference 'Display'.
  See Also:
    `MIDisplayConnector.getDisplay()`, `MIAnalysisMetaModelPackage.getDisplayConnector()`
  Generated:

### getDisplayConnector_Id

    public org.eclipse.emf.ecore.EAttribute getDisplayConnector_Id()

  Specified by:
    `getDisplayConnector_Id` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `MIDisplayConnector.getId()`, `MIAnalysisMetaModelPackage.getDisplayConnector()`
  Generated:

### getAnalysisComponent

    public org.eclipse.emf.ecore.EClass getAnalysisComponent()

  Specified by:
    `getAnalysisComponent` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for class 'Analysis Component'.
  See Also:
    `MIAnalysisComponent`
  Generated:

### getAnalysisComponent_Name

    public org.eclipse.emf.ecore.EAttribute getAnalysisComponent_Name()

  Specified by:
    `getAnalysisComponent_Name` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `MIAnalysisComponent.getName()`, `MIAnalysisMetaModelPackage.getAnalysisComponent()`
  Generated:

### getAnalysisComponent_Classname

    public org.eclipse.emf.ecore.EAttribute getAnalysisComponent_Classname()

  Specified by:
    `getAnalysisComponent_Classname` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the attribute 'Classname'.
  See Also:
    `MIAnalysisComponent.getClassname()`, `MIAnalysisMetaModelPackage.getAnalysisComponent()`
  Generated:

### getAnalysisComponent_Properties

    public org.eclipse.emf.ecore.EReference getAnalysisComponent_Properties()

  Specified by:
    `getAnalysisComponent_Properties` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the containment reference list 'Properties'.
  See Also:
    `MIAnalysisComponent.getProperties()`, `MIAnalysisMetaModelPackage.getAnalysisComponent()`
  Generated:

### getAnalysisComponent_Id

    public org.eclipse.emf.ecore.EAttribute getAnalysisComponent_Id()

  Specified by:
    `getAnalysisComponent_Id` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `MIAnalysisComponent.getId()`, `MIAnalysisMetaModelPackage.getAnalysisComponent()`
  Generated:

### getAnalysisMetaModelFactory

    public MIAnalysisMetaModelFactory getAnalysisMetaModelFactory()

  Specified by:
    `getAnalysisMetaModelFactory` in interface `MIAnalysisMetaModelPackage`
  Returns:
    the factory that creates the instances of the model.
  Generated:

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

  Generated:

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

  Generated:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net